Memory Stores
Update memories
Starts an update that writes conversation memories into the specified memory store. The operation returns a long-running status location for polling the update result.
Параметры заголовка
Foundry-Features
enum
обязательно
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Параметры пути
name
string
обязательно
The name of the memory store to update.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Текст запроса
scope
string
обязательно
The namespace that logically groups and isolates memories, such as a user ID.
items
OpenAI.InputItem[]
Conversation items to be stored in memory.
previous_update_id
string
The unique ID of the previous update request, enabling incremental memory updates from where the last operation left off.
update_delay
integer
Timeout period before processing the memory update in seconds. If a new update request is received during this period, it will cancel the current request and reset the timeout. Set to 0 to immediately trigger the update without delay. Defaults to 300 (5 minutes).
Ответы
The request has been accepted for processing, but processing has not yet completed.
Заголовки
Operation-Location
string
обязательно
The location for monitoring the operation state.
Текст
update_id
string
обязательно
The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.
status
string | enum
обязательно
Status of a memory store update operation.
enum
superseded_by
string
The update_id the operation was superseded by when status is "superseded".
result
MemoryStoreUpdateCompletedResult
Memory update result.
memory_operations
MemoryOperation[]
обязательно
A list of individual memory operations that were performed during the update.
usage
MemoryStoreOperationUsage
обязательно
Usage statistics of a memory store operation.
embedding_tokens
integer
обязательно
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
обязательно
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
обязательно
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
обязательно
The public continuation instruction.
Запрос
POST /memory_stores/{name}:update_memories HTTP/1.1
Response
Status: 202
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json